summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/debug-build.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2022-09-20 00:47:34 -0400
committerDave Wallace <dwallacelf@gmail.com>2022-09-20 08:55:44 -0400
commit2473014ab26cb63fc44543ae670609277fa94edf (patch)
tree422ce07dcebf07fcf61b2b54065c1cc9df9efb96 /jjb/scripts/vpp/debug-build.sh
parent7ddc627fbd166538f82017b1158bad922154a499 (diff)
Run VPP 'make test' on Ubuntu 22.04 for master.
- clean up build parameters Change-Id: I1c620f89eb59916620ae9e36dacf9368fb38e476 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts/vpp/debug-build.sh')
-rw-r--r--jjb/scripts/vpp/debug-build.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/jjb/scripts/vpp/debug-build.sh b/jjb/scripts/vpp/debug-build.sh
index 414a8116..ea742fb2 100644
--- a/jjb/scripts/vpp/debug-build.sh
+++ b/jjb/scripts/vpp/debug-build.sh
@@ -22,6 +22,7 @@ OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_ARCH=$(uname -m)
DRYRUN="${DRYRUN:-}"
+MAKE_PARALLEL_JOBS="${MAKE_PARALLEL_JOBS:-}"
BUILD_RESULT="SUCCESSFULLY COMPLETED"
BUILD_ERROR=""
RETVAL="0"
@@ -47,9 +48,21 @@ make_build_test_debug() {
BUILD_ERROR="FAILED 'make build'"
return
fi
- if ! make UNATTENDED=yes TEST_JOBS=auto test-debug ; then
- BUILD_ERROR="FAILED 'make test-debug'"
- return
+ if [ "${OS_ID}-${OS_VERSION_ID}" == "${MAKE_TEST_OS}" ] ; then
+ if [ -n "${MAKE_PARALLEL_JOBS}" ] ; then
+ TEST_JOBS="${MAKE_PARALLEL_JOBS}"
+ echo "Testing VPP with ${TEST_JOBS} cores."
+ else
+ TEST_JOBS="auto"
+ echo "Testing VPP with automatically calculated number of cores. " \
+ "See test logs for the exact number."
+ fi
+ if ! make UNATTENDED=yes TEST_JOBS="$TEST_JOBS" test-debug ; then
+ BUILD_ERROR="FAILED 'make UNATTENDED=yes TEST_JOBS=$TEST_JOBS test-debug'"
+ return
+ fi
+ else
+ echo "Skip running 'make test-debug' on ${OS_ID}-${OS_VERSION_ID}"
fi
}